## org.gnu.atk
Class RelationType

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.atk.RelationType

public class RelationType
extends Enum

Field Summary
`static RelationType` `CONTROLLED_BY`
`static RelationType` `CONTROLLER_FOR`
`static RelationType` `EMBEDDED_BY`
`static RelationType` `EMBEDS`
`static RelationType` `FLOWS_FROM`
`static RelationType` `FLOWS_TO`
`static RelationType` `LABEL_FOR`
`static RelationType` `LABELLED_BY`
`static RelationType` `LAST_DEFINED`
`static RelationType` `MEMBER_OF`
`static RelationType` `NODE_CHILD_OF`
`static RelationType` `NULL`
`static RelationType` `PARENT_WINDOW_OF`
`static RelationType` `POPUP_FOR`
`static RelationType` `SUBWINDOW_OF`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`RelationType` `and(RelationType other)`
`protected static int` `atk_relation_type_for_name(byte[] name)`
`protected static byte[]` `atk_relation_type_get_name(int type)`
`protected static int` `atk_relation_type_register(byte[] name)`
`static RelationType` `intern(int value)`
`RelationType` `or(RelationType other)`
`boolean` `test(RelationType other)`
`RelationType` `xor(RelationType other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NULL

    public static final RelationType NULL

### CONTROLLED_BY

    public static final RelationType CONTROLLED_BY

### CONTROLLER_FOR

    public static final RelationType CONTROLLER_FOR

### LABEL_FOR

    public static final RelationType LABEL_FOR

### LABELLED_BY

    public static final RelationType LABELLED_BY

### MEMBER_OF

    public static final RelationType MEMBER_OF

### NODE_CHILD_OF

    public static final RelationType NODE_CHILD_OF

### FLOWS_TO

    public static final RelationType FLOWS_TO

### FLOWS_FROM

    public static final RelationType FLOWS_FROM

### SUBWINDOW_OF

    public static final RelationType SUBWINDOW_OF

### EMBEDS

    public static final RelationType EMBEDS

### EMBEDDED_BY

    public static final RelationType EMBEDDED_BY

### POPUP_FOR

    public static final RelationType POPUP_FOR

### PARENT_WINDOW_OF

    public static final RelationType PARENT_WINDOW_OF

### LAST_DEFINED

    public static final RelationType LAST_DEFINED

Method Detail

### intern

    public static RelationType intern(int value)

### or

    public RelationType or(RelationType other)

### and

    public RelationType and(RelationType other)

### xor

    public RelationType xor(RelationType other)

### test

    public boolean test(RelationType other)

### atk_relation_type_register

    protected static final int atk_relation_type_register(byte[] name)

### atk_relation_type_get_name

    protected static final byte[] atk_relation_type_get_name(int type)

### atk_relation_type_for_name

    protected static final int atk_relation_type_for_name(byte[] name)